Bug 57904 - Upgrade does not recognize software RAID partitions
Upgrade does not recognize software RAID partitions
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-12-31 15:26 EST by Brian Bowe
Modified: 2007-04-18 12:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-12 21:42:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Bowe 2001-12-31 15:26:45 EST
From Bugzilla Helper:

User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Mac_PowerPC)

Description of problem:

When attempting to upgrade my older 6.1.92 version to Linux v 
7.2, the installer won't allow the upgrade because it does not 
recognize my software RAID partitions. I have Highpoint HPT 
UltraDMA 66/100 IDE controllers with two IBM 4.0GB drives.

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:

1. Boot from Linux 7.2 OS CD1

2. Choose default language/mouse/keyboard

3. Choose upgrade


Actual Results:  Installation is halted because no Linux partitions 
are recognized.

Expected Results:  Installation/upgrade should proceed as normal.

Additional info:
Comment 1 Jeremy Katz 2002-01-02 18:01:12 EST
Are you using the "hardware" raid features of the hpt370 card or stock Linux
software raid?
Comment 2 Brian Bowe 2002-01-02 18:14:30 EST
The controllers are hpt366, not a card, but on the motherboard. This 
system was set up by somebody else, so I don't know the exact answer 
to your question. However it appears to be a stock Linux software raid, 
judging from the text that scrolls by at boot up.
Comment 3 Michael Fulbright 2002-01-15 16:12:24 EST
Boot up the installer, hit ALT-F2 to goto a screen with a shell prompt, and type
'more /tmp/syslog'  and scan through there and see if it detects the hard drive
controllers.  You should see something like (although the particulars will be

<6>Uniform Multi-Platform E-IDE driver Revision: 6.31
<6>ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
<4>VP_IDE: IDE controller on PCI bus 00 dev 21
<4>VP_IDE: chipset revision 16
<4>VP_IDE: not 100% native mode: will probe irqs later
<6>ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
<6>VP_IDE: VIA vt82c686a (rev 22) IDE UDMA66 controller on pci00:04.1
<4> ide0: BM-DMA at 0xd800-0xd807, BIOS settings: hda:DMA, hdb:pio
<4> ide1: BM-DMA at 0xd808-0xd80f, BIOS settings: hdc:pio, hdd:pio
<4>PDC20265: IDE controller on PCI bus 00 dev 88
<6>PCI: Found IRQ 10 for device 00:11.0
<6>PCI: Sharing IRQ 10 with 00:0b.0
<4>PDC20265: chipset revision 2
<4>PDC20265: not 100% native mode: will probe irqs later
<4>PDC20265: (U)DMA Burst Bit ENABLED Primary PCI Mode Secondary PCI Mode.
<4> ide2: BM-DMA at 0x8800-0x8807, BIOS settings: hde:DMA, hdf:pio
<4> ide3: BM-DMA at 0x8808-0x880f, BIOS settings: hdg:DMA, hdh:DMA
<4>hda: CD-540E, ATAPI CD/DVD-ROM drive
<4>hde: ST330630A, ATA DISK drive
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>ide2 at 0xa000-0xa007,0x9802 on irq 10
<4>blk: queue c0294440, I/O limit 4095Mb (mask 0xffffffff)
<6>hde: 59777640 sectors (30606 MB) w/2048KiB Cache, CHS=59303/16/63, UDMA(66)
<4>hda: ATAPI 40X CD-ROM DVD-RAM drive, 128kB Cache
<6>Uniform CD-ROM driver Revision: 3.12
<6>Partition check:
<6> hde: hde1 hde2 hde3

If you could tell us what lines have 'IDE controller on' in your syslog that
would help.
Comment 4 Brian Bowe 2002-01-22 11:53:07 EST
Alt-F2 is not getting me into a shell prompt. I am booting from the 
installer CD1. I've tried hitting Alt-F2 at various points during boot up and 
after getting into the GUI install screens, but can't get the shell prompt.
Comment 5 Brent Fox 2002-01-22 14:44:09 EST
Try <Ctrl><Alt><F2>.  That should get you out of GUI mode and into console mode.
Comment 6 Brian Bowe 2002-01-23 11:27:23 EST
<4> HPT366: IDE controller on PCI bus 00 dev 98
<4> HPT366: IDE controller on PCI bus 00 dev 99
Comment 7 Need Real Name 2002-02-15 17:18:56 EST
I am having what I believe is the same exact problem.  I am upgrading a machine
running 6.1 with software raid to 7.2 and it is failing.  The machine has two
SCSI drives attached to an adaptec controller (aic7xxx driver) and uses a total
of three parititions:

/dev/sda1 /
/dev/md0  /usr
/dev/md1  /home

The install process sees the '/' partition (/dev/sda1) and then gives the error
about not being able to read partition '/usr'
Comment 8 Jeremy Katz 2002-02-19 18:33:10 EST
Matt, do you have any ideas on this one?
Comment 9 Matt Wilson 2002-03-12 16:37:51 EST
I think that we're going to have to write some debugging hooks to see what disks
are being detected and what raid the superblocks say.
Comment 10 Matt Wilson 2002-03-12 16:48:25 EST
Please go to Ctrl+Alt+F2.  Insert a blank MS-DOS formatted floppy.  Type:

mcopy /tmp/syslog a:

and attach that file to this bug.
Comment 11 Brian Bowe 2002-03-12 17:14:52 EST
Do I need to boot from the 7.2 CD to do this, or can I do it while v6.1.92 

is running?
Comment 12 Matt Wilson 2002-03-12 17:17:38 EST
attach /var/log/dmesg from your 6.1.92 and the /tmp/syslog from 7.2 during the
7.2  upgrade process (you'll need to boot from some sort of 7.2 media for that)

Were the RAID arrays set up by the 6.1.92 installer?  Or was software RAID set
up after a stock kernel recompile?
Comment 13 Brian Bowe 2002-03-12 21:42:19 EST
I have no explanation for this, but when I re-booted today from the 7.2 
install CD, it actually recognized my existing partitions and allowed me to 
upgrade. I guess you can consider the case closed. Thanks for your 
help. -Brian
Comment 14 Matt Wilson 2002-03-13 10:37:09 EST
OK, thanks.

Note You need to log in before you can comment on or make changes to this bug.